#ifndef AMYC_PREFS_H
#define AMYC_PREFS_H

typedef struct amyc_prefs *amyc_prefs;

extern amyc_prefs amyc_new (void);
extern void amyc_get_prefs (amyc_prefs prefs);
extern void amyc_put_prefs (amyc_prefs prefs);
/* Read-only accessors */
extern const char *amyc_cachedirectory (amyc_prefs prefs);
extern int amyc_extitle (amyc_prefs prefs);
extern int amyc_noimg (amyc_prefs prefs);
extern int amyc_showdate (amyc_prefs prefs);
extern int amyc_showlocal (amyc_prefs prefs);
extern int amyc_showsize (amyc_prefs prefs);
extern int amyc_showtype (amyc_prefs prefs);
extern int amyc_sortby (amyc_prefs prefs);
extern void amyc_runbrowser (amyc_prefs prefs);
extern void amyc_seq (amyc_prefs prefs, int use_stdout);

/* expand the first "tilde" to the home user directory in the path */
extern char *give_correct_path (char * path);

#endif /* AMYC_PREFS_H */
